Last Comment Bug 392505 - nsNPObjWrapper::GetNewOrUsed() removes PLDHash entries from the wrong table if OOM (JS)
: nsNPObjWrapper::GetNewOrUsed() removes PLDHash entries from the wrong table i...
Status: RESOLVED FIXED
: fixed1.8.1.8
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Johnny Stenback (:jst, jst@mozilla.com)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 14:06 PDT by Johnny Stenback (:jst, jst@mozilla.com)
Modified: 2007-09-11 15:50 PDT (History)
1 user (show)
jst: blocking1.9+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove entry from the right hash. (857 bytes, patch)
2007-08-16 14:06 PDT, Johnny Stenback (:jst, jst@mozilla.com)
mrbkap: review+
peterv: superreview+
dveditz: approval1.8.1.8+
Details | Diff | Review
Trunk version. (2.93 KB, patch)
2007-08-21 17:22 PDT, Johnny Stenback (:jst, jst@mozilla.com)
peterv: review+
peterv: superreview+
jst: approval1.9+
Details | Diff | Review

Description Johnny Stenback (:jst, jst@mozilla.com) 2007-08-16 14:06:42 PDT
Created attachment 277005 [details] [diff] [review]
Remove entry from the right hash.

Found by code inspection around the point of a crash seen by a plugin developer. Obvious patch attached (if you look above the context in the diff you'll see that the entry being removed comes from sNPObjWrappers, not sJSObjWrappers).
Comment 1 Daniel Veditz [:dveditz] 2007-08-16 15:08:44 PDT
Comment on attachment 277005 [details] [diff] [review]
Remove entry from the right hash.

approved for 1.8.1.7, a=dveditz
Comment 2 Johnny Stenback (:jst, jst@mozilla.com) 2007-08-21 17:22:15 PDT
Created attachment 277633 [details] [diff] [review]
Trunk version.

Peter, this is the same patch with a couple of additional cleanups and an unnecessary error check removed when calling JS_SetPrivate() (which can not fail).
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2007-08-27 16:57:06 PDT
Fixed on trunk.
Comment 4 Johnny Stenback (:jst, jst@mozilla.com) 2007-09-11 15:50:03 PDT
This landed on the 1.8 branch a long time ago, just forgot to mark it :(

Note You need to log in before you can comment on or make changes to this bug.